# Proposta para mini-curso 61ª RBras

- **Título**: Pesquisa reproduzível com o R: de documentos dinâmicos à
  pacotes
  
- **Instrutores**: Fernando Mayer, Walmes Zeviani (LEG/UFPR)

- **Resumo**: Pesquisa reproduzível é a ideia geral onde análise de
  dados, e de maneira mais geral, descobertas científicas, devem ser
  publicadas contendo os dados e o código de análise, para que outras
  pessoas possam verificar os resultados e até mesmo continuar a
  construir ideias sobre eles. A necessidade da reproducibilidade vem
  crescendo dramaticamente, ao mesmo tempo que as análises de dados
  estão se tornando mais complexas, envolvendo grandes bases de dados e
  alto processamento computacional. A reproducibilidade permite que as
  pessoas se concentrem no conteúdo da análise de dados, ao invés de se
  preocuparem com os detalhes superficiais descritos em um
  documento. Além disso, a reproducibilidade torna uma análise mais útil
  para qualquer pessoa, pois os dados e o código que realmente geraram
  os resultados estão disponíveis. Este curso será focado nas
  ferramentas para análise estatística documentada, que permitem que
  cientistas publiquem suas análises em um único documento que irá
  permitir que outros cientistas executem a mesma análise e obtenham os
  mesmos resultados.

- **Objetivos**: Este curso tem como objetivo fornecer os conceitos e
  ferramentas por trás da comunicação de analises de dados modernas, de
  maneira reproduzível. A importância de reproducibilidade na ciência é
  altamente reconhecida hoje em dia, mas ainda não é largamente
  particada como deveria ser. Um dos motivos é que muitos cientistas (e
  particularmente estatísticos) não adotaram ainda as ferramentas
  necessárias para a pesquisa reproduzível. Neste curso serão discutidos
  os princípios gerais para a pesquisa reproduzível, mas o foco será
  prioritariamente no uso das ferramentas relevantes. Particularmente,
  será demonstrado como gerar relatórios dinâmicos com o R, e de maneira
  mais aprofundada, como criar pacotes do R contendo dados, análises e
  funções, com a intenção de facilitar a distribuição de comunicações
  científicas. Para isso, serão utilizados alguns pacotes modernos e
  auxiliares do R, como `knitr`, `rmarkdown`, `devtools`, e
  `roxygen2`. A intenção é que os atendentes do curso saiam preparados
  para utilizar essas ferramentas em suas próprias pesquisas, ajudando a
  ampliar a forma como se faz pesquisa reproduzível atualmente.
